#apiVersion: argoproj.io/v1alpha1
#kind: Application
#metadata:
#  name: n8n-dev 
#  finalizers:
#  - resources-finalizer.argocd.argoproj.io
#spec:
#  project: default
#  source:
#    repoURL: '8gears.container-registry.com/library'
#    path: n8n
#    targetRevision: 1.*.*
#    chart: n8n
#    helm: 
#      parameters:
#        - name: ingress.enabled
#          value: 'true'
#        - name: ingress.className
#          value: traefik
#        - name: ingress.hosts[0].host
#          value: n8n-dev.innovation-hub-niedersachsen.de            
#        - name: ingress.hosts[0].paths[0].path
#          value: "/"
#        - name: ingress.hosts[0].paths[0].pathType
#          value: "Prefix"
#        - name: ingress.annotations.kubernetes\.io\/ingress\.class
#          value: traefik    
#        - name: ingress.tls[0].secretName
#          value: "n8n-dev-tls"
#        - name: ingress.tls[0].hosts[0]
#          value: "n8n-dev.innovation-hub-niedersachsen.de"  
#        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.entrypoints
#          value: websecure             
#        - name: ingress.annotations.kubernetes\.io\/ingress\.class
#          value: traefik
#        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.tls
#          value: 'true'
#          forceString: true
#        - name: main.persistence.enabled
#          value: 'true' 
#        - name: redis.enabled
#          value: 'true'   
#        - name: worker.enabled
#          value: 'true' 
#        - name: main.secret.n8n.encryption_key
#          value: '8gears-n8n-dev-encryption-key'
#        - name: main.config.n8n.runners_enabled
#          value: 'true'    
#        - name: main.config.n8n.enforce_settings_file_permissions
#          value: 'true'  
#  destination:
#    namespace: n8n
#    server: 'https://192.168.4.202:6443'
#  syncPolicy:
#    automated:
#      prune: true
#      selfHeal: true
#    syncOptions:
#      - CreateNamespace=true
